project:
  name: project
  collection: dataplex.projects
  attributes:
  - &project
    parameter_name: projectsId
    attribute_name: project
    help: |
      Name of the Cloud project to use.
    property: core/project

organization:
  name: organization
  collection: dataplex.organizations
  attributes:
  - &organization
    parameter_name: organizationsId
    attribute_name: organization
    help: |
      Name of the Cloud organization to use.

location:
  name: location
  collection: dataplex.projects.locations
  disable_auto_completers: false
  attributes:
  - *project
  - &location
    parameter_name: locationsId
    attribute_name: location
    help: |
      Location of the Dataplex resource.
    property: dataplex/location

lake:
  name: lake
  collection: dataplex.projects.locations.lakes
  request_id_field: lakeId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &lake
    parameter_name: lakesId
    attribute_name: lake
    help: |
      Identifier of the Dataplex lake resource.

zone:
  name: zone
  collection: dataplex.projects.locations.lakes.zones
  request_id_field: zoneId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - &zone
    parameter_name: zonesId
    attribute_name: zone
    help: |
      Identifier of the Dataplex zone resource.

asset:
  name: asset
  collection: dataplex.projects.locations.lakes.zones.assets
  request_id_field: assetId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - *zone
  - &asset
    parameter_name: assetsId
    attribute_name: asset
    help: |
      Identifier of the Dataplex asset resource.

task:
  name: task
  collection: dataplex.projects.locations.lakes.tasks
  request_id_field: taskId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - &task
    parameter_name: tasksId
    attribute_name: task
    help: |
      Identifier of the Dataplex task resource.

job:
  name: job
  collection: dataplex.projects.locations.lakes.tasks.jobs
  request_id_field: jobID
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - *task
  - &job
    parameter_name: jobsId
    attribute_name: job
    help: |
      Job_id of the Job running a particular Task in Dataplex.

environment:
  name: environment
  collection: dataplex.projects.locations.lakes.environments
  request_id_field: environmentID
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - &environment
    parameter_name: environmentsId
    attribute_name: environment
    help: |
      Environment_id of a particular Environment in Dataplex.

session:
  name: session
  collection: dataplex.projects.locations.lakes.environments.sessions
  request_id_field: sessionID
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - *environment
  - &session
    parameter_name: sessionsId
    attribute_name: session
    help: |
      Session_id of a particular Session of an Environment in Dataplex.

content:
  name: content
  collection: dataplex.projects.locations.lakes.contentitems
  request_id_field: contentId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *lake
  - &content
    parameter_name: contentitemsId
    attribute_name: content
    help: |
      Content_id for the Content Resource of the Dataplex service.

data_taxonomy:
  name: data taxonomy
  collection: dataplex.projects.locations.dataTaxonomies
  request_id_field: dataTaxonomyId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &data_taxonomy
    parameter_name: dataTaxonomiesId
    attribute_name: data_taxonomy
    help: |
      Identifier of the Dataplex DataTaxonomy resource.

data_attribute:
  name: data attribute
  collection: dataplex.projects.locations.dataTaxonomies.attributes
  request_id_field: dataAttributeId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *data_taxonomy
  - &data_attribute
    parameter_name: attributesId
    attribute_name: data_attribute
    help: |
      Identifier of the Dataplex task resource.

datascan:
  name: datascan
  collection: dataplex.projects.locations.dataScans
  request_id_field: dataScansId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &datascan
    parameter_name: dataScansId
    attribute_name: datascan
    help: |
      Datascan ID of the Dataplex datascan resource.

datascanjob:
  name: job
  collection: dataplex.projects.locations.dataScans.jobs
  request_id_field: jobID
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *datascan
  - &datascanjob
    parameter_name: jobsId
    attribute_name: job
    help: |
      Job ID of the Job running a particular Datascan in Dataplex.

data_attribute_binding:
  name: data attribute binding
  collection: dataplex.projects.locations.dataAttributeBindings
  request_id_field: dataAttributeBindingId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &data_attribute_binding
    parameter_name: dataAttributeBindingsId
    attribute_name: data_attribute_binding
    help: |
      Identifier of the Dataplex Data Attribute Binding

entry_group:
  name: entry group
  collection: dataplex.projects.locations.entryGroups
  request_id_field: entryGroupId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &entry_group
    parameter_name: entryGroupsId
    attribute_name: entry_group
    help: |
      Entry group containing Dataplex Entries.

aspect_type:
  name: aspect type
  collection: dataplex.projects.locations.aspectTypes
  request_id_field: aspectTypeId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &aspect_type
    parameter_name: aspectTypesId
    attribute_name: aspect_type
    help: |
      Identifier of the Dataplex Aspect Type resource.

entry_type:
  name: entry type
  collection: dataplex.projects.locations.entryTypes
  request_id_field: entryTypeId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &entry_type
    parameter_name: entryTypesId
    attribute_name: entry_type
    help: |
      Identifier of the Dataplex Entry Type resource.

entry:
  name: entry
  collection: dataplex.projects.locations.entryGroups.entries
  request_id_field: entryId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *entry_group
  - &entry
    parameter_name: entriesId
    attribute_name: entry
    help: |
      Entry containing metadata about some resource.

governance_rule:
  name: governance rule
  collection: dataplex.projects.locations.governanceRules
  request_id_field: governanceRuleId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &governance_rule
    parameter_name: governanceRulesId
    attribute_name: governance_rule
    help: |
      Identifier of the Dataplex Governance Rule resource.

encryption_config:
  name: encryption config
  collection: dataplex.organizations.locations.encryptionConfigs
  request_id_field: encryptionConfigId
  disable_auto_completers: false
  attributes:
  - *organization
  - *location
  - &encryption_config
    parameter_name: encryptionConfigsId
    attribute_name: encryption_config
    help: |
      Identifier of the Dataplex Encryption Config resource.

glossary:
  name: glossary
  collection: dataplex.projects.locations.glossaries
  request_id_field: glossaryId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &glossary
    parameter_name: glossariesId
    attribute_name: glossary
    help: |
      Identifier of the Dataplex Glossary resource.

glossary_category:
  name: glossary category
  collection: dataplex.projects.locations.glossaries.categories
  request_id_field: categoryId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *glossary
  - &glossary_category
    parameter_name: categoriesId
    attribute_name: glossary_category
    help: |
      Identifier of the Dataplex Glossary Category resource.

glossary_term:
  name: glossary term
  collection: dataplex.projects.locations.glossaries.terms
  request_id_field: termId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *glossary
  - &glossary_term
    parameter_name: termsId
    attribute_name: glossary_term
    help: |
      Identifier of the Dataplex Glossary Term resource.

metadata_job:
  name: metadata job
  collection: dataplex.projects.locations.metadataJobs
  request_id_field: metadataJobId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &metadata_job
    parameter_name: metadataJobsId
    attribute_name: metadata_job
    help: |
      Identifier of the Dataplex Metadata Job resource.

entry_link:
  name: entry link
  collection: dataplex.projects.locations.entryGroups.entryLinks
  request_id_field: entryLinkId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *entry_group
  - &entry_link
    parameter_name: entryLinksId
    attribute_name: entry_link
    help: |
        Entry Link between two entries.

data_product:
  name: data product
  collection: dataplex.projects.locations.dataProducts
  request_id_field: dataProductId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - &data_product
    parameter_name: dataProductsId
    attribute_name: data_product
    help: |
      Identifier of the Dataplex Data Product resource.

data_asset:
  name: data asset
  collection: dataplex.projects.locations.dataProducts.dataAssets
  request_id_field: dataAssetId
  disable_auto_completers: false
  attributes:
  - *project
  - *location
  - *data_product
  - &data_asset
    parameter_name: dataAssetsId
    attribute_name: data_asset
    help: |
      Identifier of the Dataplex Data Asset resource.
